# system/game-data | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Module system/game-data

- Defined in src/system/game-data.ts:1

### Index

### Classes

GameData
StarterPrefs

### Interfaces

DexAttrProps
DexData
DexEntry
SeenDialogues
SessionSaveData
StarterAttributes
StarterData
StarterDataEntry
StarterFormMoveData
StarterMoveData
StarterPreferences
TutorialFlags
VoucherCounts

### Type Aliases

StarterMoveset

### Variables

AbilityAttr
DexAttr
defaultStarterSpecies

### Functions

decrypt
encrypt
getDataTypeKey